function modelP = addPS(model)
%this function is used to add the state covariance matrix and sigma to the models

% Information:
% ============
% Written by: Mikael Sunnaker, mikael.sunnaker@gmail.com
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  
% USA.

%get the model structure
modStr = struct(model);
%get the number of states
n = length(SBstates(model));

%add the differential equations for P (states covariance matrix)
for i = 1:n
    for j = 1:n
        if(i<=j)
            modStr.states(end+1).name = sprintf('PDiffeqETHETH%do%d',i,j);
            modStr.states(end).initialCondition = 0;
            modStr.states(end).ODE = '0';
        end
    end
end

%add the parameters corresponding to the sigma matrix
for i = 1:n
    for j = 1:n
            modStr.parameters(end+1).name = sprintf('sigmaMatETHETH%do%d',i,j);
            modStr.parameters(end).value = 0;
    end
end

%get the model with differential equations for P back
modelP = SBmodel(modStr);

return


